Skip to content

Home News Screenshots Wiki Themes Bugtracker Members Logos Search
  You are not logged in Link icon Log in Link icon Join
You are here: Home » PicoGUI Wiki » OneDot0 » wikipage_view

Log in
 

OneDot0

With all the talk of the new architecture, lalo and micah started to ponder that perhaps the new architecture should be 2.0 (TwoDot0), which means the current one would be 1.0. We also feel we owe our current users an 1.0 before we start breaking stuff - specially companies who are basing their products on PicoGUI.

This wikipage is to discuss what we want to call 1.0 and what has to be done before we reach that point.

  • Controllable textbox: make the textbox able to receive commands via writeto requests
  • Textbox layout: we decided to leave this out for now, if you need it you can write a 3rd-party widget (we suspect some people already have it, actually)
  • decent vt102 support: see TerminalTodoList?; we want at least to run mutt, preferrably pass vttest
  • complete WidgetFoundry: what does "complete" mean has yet to be decided
  • launcher: a working and configurable launcher, whether it is pgl or something new it doesn't matter
  • new build system: This was going to be put on hold for TwoDot0, but auto* and the current config system are such a support nightmare that it's best to do it sooner.

When: we don't know yet, but we hope June 2003 at latest, so that we can focus on 2.0 ASAP

Please add your comments below.

micah, 2003/02/08 20:16 PST (via web):
I should add that while we're planning on having HTML in the textbox again soon, this probably shouldn't be a requirement for 1.0

lalo, 2003/02/09 04:16 PST (via web):
of course this list also implicitly includes fixing all known critical bugs (defined by Micah as, things that crash pgserver or the client).

micah, 2003/03/22 14:05 PST
I think it would also be reasonable to make full documentation on installation, all the usable client libs, and all the usable widgets a requirement for 1.0